<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <link rel="stylesheet" type="text/css "href="./style.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
    <title>Bootstrap Grid System</title>
</head>
<body class="text-center">
    <h1>Bootstrap Grid System</h1>


    <!-- Two Columns Start -->
    <h2>Two Columns</h2>
    <div class="container-fluid">
        <!-- Row with two = columns -->
        <h3>1:1 Ratio</h3>

        <div class="text-light row">
            <div class="bg-primary pt-3 pb-3 border border-dark col-6">6 Col</div>
            <div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 Col</div>
        </div>
    </div>
    <br>
    <!-- Row with two columns / in 1:2 ratio -->
    <h3>1:2 Ratio</h3>
    <div class="text-light row">
        <div class="bg-primary pt-3 border border-dark col-4">4 Col</div>
        <div class="bg-primary pt-3 border border-dark col-8">8 Col</div>
    </div>
    <br>
    <!-- Row with columns / 1:3 ratio -->
    <h3>1:3 Ratio</h3>
    <div class="text-light row">
        <div class="bg-primary pt-3 border border-dark col-3">3 Col</div>
        <div class="bg-primary pt-3 border border-dark col-9">9 Col</div>
    </div>
    <!-- End of Two Columns -->
    <br>
    <!-- Start of Three Column -->
    <h2>Three Columns</h2>
    <div class="container-fluid">
        <!-- Row with three = columns -->
        <h3>1:1:1 Ratio</h3>
        <div class="text-light row">
            <div class="bg-primary pb-3 border border-dark col-4">4 Col</div>
            <div class="bg-primary pb-3 border border-dark col-4">4 Col</div>
            <div class="bg-primary pb-3 border border-dark col-4">4 Col</div>
        </div>
    </div>

    <!-- Row Width Three Columns / 1:2:1 ratio -->
    <div>
        <h3>1:2:1</h3>
        <div class="text-light row">
            <div class="bg-primary pb-3 border border-dark col-3">3 Col</div>
            <div class="bg-primary pb-3 border border-dark col-6">6 Col</div>
            <div class="bg-primary pb-3 border border-dark col-3">3 Col</div>
        </div>
    </div>

    <!-- Uneven Row Columns -->
        <h3>Uneven ratio</h3>
        <div class="text-light row">
            <div class="bg-primary pb-3 border border-dark col-3">3 Col</div>
            <div class="bg-primary pb-3 border border-dark col-7">7 Col</div>
            <div class="bg-primary pb-3 border border-dark col-2">2 Col</div>
        </div>
        <!-- End of Three Columns -->
        <!-- CRC Rules - Container, Row, Col -->

        <!-- Automatic Sizing -->
        <h2>Automatic Sizing</h2>
        <div class="container-fluid">
            <div class="text-light row">
                <div class="bg-primary pb-3 pt-3 border border-dark col">Auto</div>
                <div class="bg-secondary pb-3 pt-3 border border-dark col">Auto</div>
                <div class="bg-primary pb-3 pt-3 border border-dark col">Auto</div>
                <div class="bg-secondary pb-3 pt-3 border border-dark col">Auto</div>
                <div class="bg-primary pb-3 pt-3 border border-dark col">Auto</div>
            </div>
        </div>
        <!-- End of Automatic Sizing -->

        <!-- Mobile Responsive Columns Start -->
        <h2>MObile Responsive Columns</h2>
        <div class="container-fluid">
            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-sm-6 col-md-4 col-lg-2">Responsive</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-sm-6 col-md-8 col-lg-10">Responsive</div>
            </div>
        </div>
        <!-- End of Mobile Responsive Columns Start-->

        <!-- Multi-Column Layouts Start -->
        <h2>Multi-Column Layouts</h2>
        <div class="container-fluid">
            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog-1</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog-2</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog-3</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog-4</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog-5</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog-6</div>
            </div>
        </div>
        <!-- End of Multi-Column Layouts Start -->

        <!-- Offsetting Columns Start -->
        <h3>Offsetting Columns</h3>
        <div class="container-fluid">
            <div class="text-light row">
                <!-- offset - amount of space in the left side -->
                <div class="bg-primary pt-3 pb-3 border border-dark offset-2 col-6">Offset Column</div>
                <!-- magkakaron lang ng offset pag lumagpas sa md size -->
                <div class="bg-primary pt-3 pb-3 border border-dark offset-md-3 col-6">Offset Column</div>
                <!-- space always on the left side. -->
                <!-- offset 4 sa lg kasi yung ang naka indicate the 2col nlng ang natira sa right -->
                <div class="bg-primary pt-3 pb-3 border border-dark offset-lg-4 col-6">Offset Column</div>
            </div>
        </div>
        <!-- End of Offsetting Columns Start -->

        <!-- Columns Orders Start -->
        <h2>Column Order</h2>
        <div class="container-fluid">
            <div class="text-light row">
                <!-- pagwalang naka indicate na size and default is sm - lg -->
                <!-- sm size screen magpapalit ng order -->
                <div class="bg-primary pt-3 pb-3 border border-dark col order-2 order-md-1">Left</div>
                <!-- will apply in size md and up -->
                <div class="bg-secondary pt-3 pb-3 border border-dark col order-1 order-md-2">Right</div>

            </div>
        </div>
        <!-- Columns Orders Start -->

        <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
</body>
</html>